> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.iklim.co/llms.txt
> Use this file to discover all available pages before exploring further.

# İçinde Sorgusu

> Belirtilen nokta ve yarıçap içindeki yıldırım ve şimşekleri sorgular. En fazla 30 gün geriye, en fazla 50 km yarıçap sorgulanabilir.



## OpenAPI

````yaml /open-api/tr/lightnings_version-1.json post /v1/lightnings/within
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.iklim.co
    description: Production server
  - url: https://api-test.iklim.co
    description: Test server
security: []
tags:
  - name: Yıldırım/Şimşek Hizmeti
    description: Yıldırım/Şimşek ile ilgili hizmetleri yönetir
paths:
  /v1/lightnings/within:
    post:
      tags:
        - Yıldırım/Şimşek Hizmeti
      summary: İçinde Sorgusu
      description: >-
        Belirtilen nokta ve yarıçap içindeki yıldırım ve şimşekleri sorgular. En
        fazla 30 gün geriye, en fazla 50 km yarıçap sorgulanabilir.
      operationId: getWithin
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LightningsWithinRequest'
        required: true
      responses:
        '200':
          description: >-
            Belirtilen Nokta ve Yarıçap İçinde Bulunan Yıldırımlar. Bu Yanıt
            Sayfa Olarak Döner.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LightningsResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '402':
          description: Ücretli Abonelik Gerekli
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Payment Required:
                  summary: Example response
                  description: Payment Required
                  value:
                    timestamp: '2025-06-25T11:15:41.429518242'
                    status: 402
                    error: Payment Required
                    message: You Need To Renew Your Subscription or Purchase New One
                    path: /v1/lightnings/within
        '403':
          description: Yasak/İzin Verilmiyor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                No Subscription Found For This Service Endpoint:
                  summary: Missing Subscription
                  description: No Subscription Found For This Service Endpoint
                  value:
                    timestamp: '2025-06-25T11:21:50.510755746'
                    status: 403
                    error: Forbidden
                    message: No Subscription Found For This Service Endpoint
                    path: /v1/lightnings/within
                This Location Is Not In Allowed Geographic Boundaries:
                  summary: Out of Allowed Geographic Boundaries
                  description: This Location Is Not In Allowed Geographic Boundaries
                  value:
                    timestamp: '2025-06-25T15:59:19.452326857'
                    status: 403
                    error: Forbidden
                    message: >-
                      The Location You Are Querying [dd.ddddd, dd.ddddd] Is Not
                      Within The Geographic Boundaries Allowed In Your
                      Subscription [Country, Region]
                    path: /v1/lightnings/within
        '429':
          description: Bu Hizmet İçin Abonelik Limitleri Aşıldı
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Too Many Requests:
                  summary: Example response
                  description: Too Many Requests
                  value:
                    timestamp: '2025-06-25T11:02:12.653874655'
                    status: 429
                    error: Too Many Requests
                    message: Your Subscription Limits For This Service is Exceeded
                    path: /v1/lightnings/within
        '500':
          description: İstek Sırasında Dahili Sunucu Hatası
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Internal Server Error Example:
                  summary: Example response
                  description: Internal Server Error Example
                  value:
                    timestamp: '2025-04-14T16:58:10.414972912'
                    status: 500
                    error: Internal Server Error
                    message: An Error Occurred During Invocation
                    path: /endpoint/uri/here
components:
  schemas:
    LightningsWithinRequest:
      type: object
      properties:
        latitude:
          type: number
          format: double
          description: Ondalık derece cinsinden enlem
          example: 39.869847
          maximum: 90
          minimum: -90
        longitude:
          type: number
          format: double
          description: Ondalık derece cinsinden boylam
          example: 32.745468
          maximum: 180
          minimum: -180
        radius:
          type: number
          format: double
          description: Metre cinsinden yarıçap
          example: 1000
          maximum: 50000
          minimum: 0
        backwardInterval:
          type: integer
          format: int64
          description: Saniye cinsinden geriye doğru aralık
          example: 600
          maximum: 2592000
          minimum: 60
        endTimeEpoch:
          type: integer
          format: int64
          description: Epoch milisaniye cinsinden bitiş zamanı
          example: 1746454091000
          minimum: 0
        pageNumber:
          type: integer
          format: int32
          description: Sayfa numarası
          example: 0
          minimum: 0
        pageSize:
          type: integer
          format: int32
          description: Sayfa boyutu
          example: 10
          maximum: 100
      required:
        - backwardInterval
        - endTimeEpoch
        - latitude
        - longitude
        - pageNumber
        - pageSize
        - radius
    LightningsResponse:
      type: object
      properties:
        lightnings:
          type: array
          description: Yıldırım/şimşek verisi
          example: []
          items:
            $ref: '#/components/schemas/Lightning'
        totalRecords:
          type: integer
          format: int32
          description: Toplam kayıt
          example: 1000
        pageNumber:
          type: integer
          format: int32
          description: Sayfa numarası
          example: 0
        pageSize:
          type: integer
          format: int32
          description: Sayfa boyutu
          example: 10
      required:
        - lightnings
        - pageNumber
        - pageSize
        - totalRecords
    StandardErrorResponse:
      type: object
      description: Standart API hata cevabı yapısı
      properties:
        timestamp:
          type: string
          format: date-time
          description: Hatanın oluştuğu zaman damgası
          example: YYYY-mm-DDTHH:MM:SS.nnnnnnnnn
        status:
          type: integer
          format: int32
          description: HTTP durum kodu
          example: XXX
        error:
          type: string
          description: Hata adı veya tipi
          example: Error Name
          minLength: 1
        message:
          type: string
          description: Ana hata mesajı
          example: Error Message
          minLength: 1
        messages:
          type: array
          description: Ek detaylı hata mesajları
          items:
            type: string
        path:
          type: string
          description: Hatanın oluştuğu istek yolu
          example: /endpoint/uri/here
          minLength: 1
      required:
        - error
        - message
        - path
        - status
        - timestamp
    Lightning:
      type: object
      properties:
        captured:
          type: string
          format: date-time
          description: >-
            Koordinatlı Evrensel Zaman (UTC) cinsinden zaman. Bir yıldırım için
            “zaman”ın yıldırımın ana darbesinin zamanı olarak kaydedildiğini
            unutmayın
          example: '2025-04-14T16:58:22.22308754'
        type:
          type: integer
          format: int32
          description: >-
            Tanım gereği, bir yıldırım bir geri dönüş darbesi içerdiğinde
            “FLASH” (buluttan yere) olarak sınıflandırılır. Geri dönüş darbesi
            içermeyen herhangi bir şimşek “PULSE” (bulut içi) olarak
            sınıflandırılır. Bununla birlikte, PULSE sınıflandırmasının dar iki
            kutuplu olaylar ve K-değişimleri dahil olmak üzere diğer FLASH
            türlerini içerebileceği vurgulanmalıdır
          enum:
            - 0
            - 1
            - 9
            - 40
          example: 0
        typeName:
          type: string
          description: >-
            Tanım gereği, bir yıldırım bir geri dönüş darbesi içerdiğinde
            “FLASH” (buluttan yere) olarak sınıflandırılır. Geri dönüş darbesi
            içermeyen herhangi bir şimşek “PULSE” (bulut içi) olarak
            sınıflandırılır. Bununla birlikte, PULSE sınıflandırmasının dar iki
            kutuplu olaylar ve K-değişimleri dahil olmak üzere diğer FLASH
            türlerini içerebileceği vurgulanmalıdır
          example: FLASH
        latitude:
          type: number
          format: double
          description: Ondalık derece cinsinden enlem
          example: 39.869847
        longitude:
          type: number
          format: double
          description: Ondalık derece cinsinden boylam
          example: 32.745468
        peakCurrent:
          type: number
          format: double
          description: >-
            Yıldırım için (FLASH) Tepe Akımı veya şimşek için 30 km'ye normalize
            edilmiş tepe yayılan alan, her ikisi de amper cinsindendir. Belirli
            bir yıldırım/şimşeğin genliğinin ana darbenin genliği olarak
            tanımlandığını lütfen unutmayın. Tepe akım verisi içermeyen tüm
            küresel çarpmalar için değer sıfır olacaktır
          example: -3803
        inCloudHeight:
          type: number
          format: double
          description: >-
            Bu parametre şimşek (PULSE) yüksekliğini metre cinsinden tahmin
            eder. Bu değer 20.000 metreye kadar çıkabilir ve sensör yoğunluğunun
            yüksek olduğu yerlerde en doğru sonucu vereceği unutulmamalıdır
          example: 1000
        numSensors:
          type: integer
          format: int32
          description: Bir yıldırım/şimşek konumunu belirlemede kullanılan sensör sayısı
          example: 10
        pulseErrorEllipse:
          $ref: '#/components/schemas/PulseErrorEllipse'
          description: >-
            Yalnızca yıldırımlar için geçerlidir. Elipsin içinde olma ihtimali
            olan yıldırımın gerçek konumu. Hata elipsi, metre cinsinden ana ve
            yan eksenlerin uzunluğu ve yön kullanılarak oluşturulur
        multiplicity:
          $ref: '#/components/schemas/Multiplicity'
          description: >-
            ir şimşek birçok darbeden oluşabilir. Bu nedenle, bu sayı her
            şimşekteki çakım sayısını temsil eder
        flashMeta:
          $ref: '#/components/schemas/FlashMeta'
          description: >-
            Yalnızca şimşek için geçerlidir. Şimşeğin süresi ve bulunduğu alan
            hakkında bilgi verir
        distance:
          type: number
          format: double
          description: Verilen merkez koordinatlardan metre cinsinden uzaklık
    PulseErrorEllipse:
      type: object
      properties:
        eeMajor:
          type: number
          format: double
          description: >-
            swagger.schema.lightning.within-response.lightning.pulse-error-ellipse.major
        eeMinor:
          type: number
          format: double
          description: >-
            swagger.schema.lightning.within-response.lightning.pulse-error-ellipse.minor
        eeBearing:
          type: number
          format: double
          description: >-
            swagger.schema.lightning.within-response.lightning.pulse-error-ellipse.bearing
    Multiplicity:
      type: object
      properties:
        inCloud:
          type: integer
          format: int32
          description: >-
            swagger.schema.lightning.within-response.lightning.multiplicity.in-cloud
        cloudToGround:
          type: integer
          format: int32
          description: >-
            swagger.schema.lightning.within-response.lightning.multiplicity.cloud-to-ground
    FlashMeta:
      type: object
      properties:
        startTime:
          type: string
          format: date-time
          description: >-
            swagger.schema.lightning.within-response.lightning.flash-meta.start-time
        duration:
          type: integer
          format: int64
          description: >-
            swagger.schema.lightning.within-response.lightning.flash-meta.duration
        ulLatitude:
          type: number
          format: double
          description: >-
            swagger.schema.lightning.within-response.lightning.flash-meta.upper-left-lat
        ulLongitude:
          type: number
          format: double
          description: >-
            swagger.schema.lightning.within-response.lightning.flash-meta.upper-left-lng
        lrLatitude:
          type: number
          format: double
          description: >-
            swagger.schema.lightning.within-response.lightning.flash-meta.lower-right-lat
        lrLongitude:
          type: number
          format: double
          description: >-
            swagger.schema.lightning.within-response.lightning.flash-meta.lower-right-lng

````